package dev.fyloz.colorrecipesexplorer.config.security

import org.springframework.security.authentication.AbstractAuthenticationToken
import org.springframework.security.core.GrantedAuthority
import java.util.*

class GroupAuthenticationToken(val id: UUID) : AbstractAuthenticationToken(null) {
    override fun getPrincipal() = id

    // There is no credential needed to log in with a group token, just use the group token id
    override fun getCredentials() = id
}

